## llgal 0.12.1

=== Makefile ===
NAME	=	llgal
ifeq ($(shell [ -d .svn ] && echo 1),1)
	VERSION	=	$(shell cat VERSION)+svn
else
	VERSION	=	$(shell cat VERSION)
endif

.PHONY: llgal clean install uninstall tarball

PO_SUBDIR	=	po

DESTDIR	=	
PREFIX	=	/usr/local
EXEC_PREFIX	=	$(PREFIX)
BINDIR	=	$(EXEC_PREFIX)/bin
DATADIR	=	$(PREFIX)/share
SYSCONFDIR	=	$(PREFIX)/etc
MANDIR	=	$(PREFIX)/man
LOCALEDIR	=	$(DATADIR)/locale

TARBALL	=	$(NAME)-$(VERSION)
DEBIAN_TARBALL	=	$(NAME)_$(VERSION).orig

all:: llgal

llgal:: update-po
	sed -e 's!@DATADIR@!$(DESTDIR)$(DATADIR)!g' -e 's!@SYSCONFDIR@!$(DESTDIR)$(SYSCONFDIR)!g' \
		-e 's!@LOCALEDIR@!$(DESTDIR)$(LOCALEDIR)!' -e 's!@VERSION@!$(VERSION)!g' \
		< llgal.in > llgal
	chmod 755 llgal

clean:: clean-po
	rm -f llgal

install:: install-po
	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(MANDIR)/man1/ $(DESTDIR)$(SYSCONFDIR)/llgal/
	install -m 0755 llgal $(DESTDIR)$(BINDIR)/llgal
	install -m 0644 captions.header llgal.css indextemplate.html slidetemplate.html $(DESTDIR)$(DATADIR)/llgal/
	install -m 0644 tile.png index.png prev.png next.png $(DESTDIR)$(DATADIR)/llgal/
	install -m 0644 llgalrc $(DESTDIR)$(SYSCONFDIR)/llgal/
	install -m 0644 llgal.1 $(DESTDIR)$(MANDIR)/man1/

uninstall:: uninstall-po
	rm $(DESTDIR)$(BINDIR)/llgal
	rm -rf $(DESTDIR)$(DATADIR)/llgal/
	rm -rf $(DESTDIR)$(SYSCONFDIR)/llgal/
	rm $(DESTDIR)$(MANDIR)/man1/llgal.1

tarball::
	mkdir /tmp/$(TARBALL)/
	cp llgal.in /tmp/$(TARBALL)
	cp captions.header llgal.css indextemplate.html slidetemplate.html /tmp/$(TARBALL)
	cp tile.png index.png prev.png next.png /tmp/$(TARBALL)
	cp llgalrc /tmp/$(TARBALL)
	cp llgal.1 /tmp/$(TARBALL)
	cp Makefile /tmp/$(TARBALL)
	cp Changes /tmp/$(TARBALL)
	cp COPYING README UPGRADE VERSION /tmp/$(TARBALL)
	mkdir /tmp/$(TARBALL)/$(PO_SUBDIR)/
	cp $(PO_SUBDIR)/Makefile /tmp/$(TARBALL)/$(PO_SUBDIR)/
	cp $(PO_SUBDIR)/*.po /tmp/$(TARBALL)/$(PO_SUBDIR)/
	cd /tmp && tar cfz $(DEBIAN_TARBALL).tar.gz $(TARBALL)
	cd /tmp && tar cfj $(TARBALL).tar.bz2 $(TARBALL)
	mv /tmp/$(DEBIAN_TARBALL).tar.gz /tmp/$(TARBALL).tar.bz2 ..
	rm -rf /tmp/$(TARBALL)

update-po:
	make -C $(PO_SUBDIR) update

clean-po:
	make -C $(PO_SUBDIR) clean

install-po:
	make -C $(PO_SUBDIR) install LOCALEDIR=$(DESTDIR)$(LOCALEDIR)

uninstall-po:
	make -C $(PO_SUBDIR) uninstall LOCALEDIR=$(DESTDIR)$(LOCALEDIR)

## llgal 0.13.5

=== Makefile ===
NAME	=	llgal
ifeq ($(shell [ -d .svn ] && echo 1),1)
	VERSION	=	$(shell cat VERSION)+svn
else
	VERSION	=	$(shell cat VERSION)
endif

DATA_SUBDIR	=	data
LIB_SUBDIR	=	lib
PO_SUBDIR	=	po
DOC_SUBDIR	=	doc

DESTDIR	=	
PREFIX	=	/usr/local
EXEC_PREFIX	=	$(PREFIX)
BINDIR	=	$(EXEC_PREFIX)/bin
DATADIR	=	$(PREFIX)/share
SYSCONFDIR	=	$(PREFIX)/etc
MANDIR	=	$(PREFIX)/man
LOCALEDIR	=	$(DATADIR)/locale
PERL_INSTALLDIRS	=	

TARBALL	=	$(NAME)-$(VERSION)
DEBIAN_TARBALL	=	$(NAME)_$(VERSION).orig

.PHONY: llgal clean install uninstall tarball

all:: llgal

llgal:: llgal.in VERSION build-lib update-po
	sed -e 's!@DATADIR@!$(DESTDIR)$(DATADIR)!g' -e 's!@SYSCONFDIR@!$(DESTDIR)$(SYSCONFDIR)!g' \
		-e 's!@LOCALEDIR@!$(DESTDIR)$(LOCALEDIR)!' -e 's!@VERSION@!$(VERSION)!g' \
		< llgal.in > llgal
	chmod 755 llgal

clean:: clean-lib clean-po
	rm -f llgal

install:: install-lib install-po
	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(MANDIR)/man1/ $(DESTDIR)$(SYSCONFDIR)/llgal/
	install -m 0755 llgal $(DESTDIR)$(BINDIR)/llgal
	install -m 0644 $(DATA_SUBDIR)/* $(DESTDIR)$(DATADIR)/llgal/
	install -m 0644 llgalrc $(DESTDIR)$(SYSCONFDIR)/llgal/
	install -m 0644 llgal.1 $(DESTDIR)$(MANDIR)/man1/

uninstall:: uninstall-lib uninstall-po
	rm $(DESTDIR)$(BINDIR)/llgal
	rm -rf $(DESTDIR)$(DATADIR)/llgal/
	rm -rf $(DESTDIR)$(SYSCONFDIR)/llgal/
	rm $(DESTDIR)$(MANDIR)/man1/llgal.1

tarball::
	mkdir /tmp/$(TARBALL)/
	cp llgal.in /tmp/$(TARBALL)
	cp llgalrc /tmp/$(TARBALL)
	cp llgal.1 /tmp/$(TARBALL)
	cp Makefile /tmp/$(TARBALL)
	cp Changes /tmp/$(TARBALL)
	cp COPYING README VERSION /tmp/$(TARBALL)
	cp -a $(DOC_SUBDIR)/ /tmp/$(TARBALL)
	cp -a $(DATA_SUBDIR)/ /tmp/$(TARBALL)
	cp -a $(LIB_SUBDIR) /tmp/$(TARBALL)
	mkdir /tmp/$(TARBALL)/$(PO_SUBDIR)/
	cp $(PO_SUBDIR)/Makefile /tmp/$(TARBALL)/$(PO_SUBDIR)/
	cp $(PO_SUBDIR)/*.po /tmp/$(TARBALL)/$(PO_SUBDIR)/
	cd /tmp && tar cfz $(DEBIAN_TARBALL).tar.gz $(TARBALL)
	cd /tmp && tar cfj $(TARBALL).tar.bz2 $(TARBALL)
	mv /tmp/$(DEBIAN_TARBALL).tar.gz /tmp/$(TARBALL).tar.bz2 ..
	rm -rf /tmp/$(TARBALL)

# Perl modules
.PHONY: build-lib clean-lib install-lib uninstall-lib prepare-lib

$(LIB_SUBDIR)/Makefile.PL: $(LIB_SUBDIR)/Makefile.PL.in VERSION
	sed -e 's!@VERSION@!$(VERSION)!g' < $(LIB_SUBDIR)/Makefile.PL.in > $(LIB_SUBDIR)/Makefile.PL

$(LIB_SUBDIR)/Makefile: $(LIB_SUBDIR)/Makefile.PL
	cd $(LIB_SUBDIR) && perl Makefile.PL INSTALLDIRS=$(PERL_INSTALLDIRS)	

prepare-lib: $(LIB_SUBDIR)/Makefile

build-lib: prepare-lib
	$(MAKE) -C $(LIB_SUBDIR)

install-lib: prepare-lib
	$(MAKE) -C $(LIB_SUBDIR) install

clean-lib: prepare-lib
	$(MAKE) -C $(LIB_SUBDIR) distclean
	rm $(LIB_SUBDIR)/Makefile.PL

uninstall-lib: prepare-lib
	$(MAKE) -C $(LIB_SUBDIR) uninstall

# PO files
.PHONY: update-po clean-po install-po uninstall-po

update-po:
	$(MAKE) -C $(PO_SUBDIR) update

clean-po:
	$(MAKE) -C $(PO_SUBDIR) clean

install-po:
	$(MAKE) -C $(PO_SUBDIR) install LOCALEDIR=$(DESTDIR)$(LOCALEDIR)

uninstall-po:
	$(MAKE) -C $(PO_SUBDIR) uninstall LOCALEDIR=$(DESTDIR)$(LOCALEDIR)

=== po/Makefile ===
.PHONY: all update clean install uninstall

PO_FILES	=	$(wildcard *.po)
MO_FILES	=	$(subst .po,.mo,$(PO_FILES))
LANGUAGES	=	$(subst .po,,$(PO_FILES))

$(MO_FILES): %.mo: %.po
	msgfmt $< -o $@

all: update

update:: $(MO_FILES)

clean::
	$(RM) $(MO_FILES)

install::
	for lang in $(LANGUAGES) ; do \
		install -d -m 0755 $(LOCALEDIR)/$${lang}/LC_MESSAGES/ ; \
		install -m 0644 $${lang}.mo $(LOCALEDIR)/$${lang}/LC_MESSAGES/llgal.mo ; \
	done

uninstall::
	for lang in $(LANGUAGES) ; do \
		rm $(LOCALEDIR)/$${lang}/LC_MESSAGES/llgal.mo ; \
		rmdir $(LOCALEDIR)/$${lang}/LC_MESSAGES/ ; \
		rmdir $(LOCALEDIR)/$${lang}/ ; \
	done
	rmdir $(LOCALEDIR)/

## llgal 0.13.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 NAME	=	llgal
 ifeq ($(shell [ -d .svn ] && echo 1),1)
-	VERSION	=	$(shell cat VERSION)+svn
+	VERSION	=	$(shell cat VERSION)+svn.$(shell date +%Y%m%d)
 else
 	VERSION	=	$(shell cat VERSION)
 endif
@@ -18,6 +18,7 @@
 SYSCONFDIR	=	$(PREFIX)/etc
 MANDIR	=	$(PREFIX)/man
 LOCALEDIR	=	$(DATADIR)/locale
+DOCDIR	=	$(DATADIR)/doc
 PERL_INSTALLDIRS	=	
 
 TARBALL	=	$(NAME)-$(VERSION)
@@ -37,23 +38,21 @@
 	rm -f llgal
 
 install:: install-lib install-po
-	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(MANDIR)/man1/ $(DESTDIR)$(SYSCONFDIR)/llgal/
+	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(SYSCONFDIR)/llgal/
 	install -m 0755 llgal $(DESTDIR)$(BINDIR)/llgal
 	install -m 0644 $(DATA_SUBDIR)/* $(DESTDIR)$(DATADIR)/llgal/
 	install -m 0644 llgalrc $(DESTDIR)$(SYSCONFDIR)/llgal/
-	install -m 0644 llgal.1 $(DESTDIR)$(MANDIR)/man1/
 
 uninstall:: uninstall-lib uninstall-po
 	rm $(DESTDIR)$(BINDIR)/llgal
 	rm -rf $(DESTDIR)$(DATADIR)/llgal/
 	rm -rf $(DESTDIR)$(SYSCONFDIR)/llgal/
-	rm $(DESTDIR)$(MANDIR)/man1/llgal.1
 
 tarball::
 	mkdir /tmp/$(TARBALL)/
 	cp llgal.in /tmp/$(TARBALL)
 	cp llgalrc /tmp/$(TARBALL)
-	cp llgal.1 /tmp/$(TARBALL)
+	cp llgal.1 llgalrc.5 /tmp/$(TARBALL)
 	cp Makefile /tmp/$(TARBALL)
 	cp Changes /tmp/$(TARBALL)
 	cp COPYING README VERSION /tmp/$(TARBALL)
@@ -106,3 +105,24 @@
 
 uninstall-po:
 	$(MAKE) -C $(PO_SUBDIR) uninstall LOCALEDIR=$(DESTDIR)$(LOCALEDIR)
+
+# Install the doc, only called on-demand by distrib-specific Makefile
+.PHONY: install-doc uninstall-doc
+
+install-doc:
+	$(MAKE) -C $(DOC_SUBDIR) install DOCDIR=$(DESTDIR)$(DOCDIR)
+
+uninstall-doc:
+	$(MAKE) -C $(DOC_SUBDIR) uninstall DOCDIR=$(DESTDIR)$(DOCDIR)
+
+# Install the manpages, only called on-demand by distrib-specific Makefile
+.PHONY: install-man uninstall-man
+
+install-man::
+	install -d -m 0755 $(DESTDIR)$(MANDIR)/man1/ $(DESTDIR)$(MANDIR)/man5/
+	install -m 0644 llgal.1 $(DESTDIR)$(MANDIR)/man1/
+	install -m 0644 llgalrc.5 $(DESTDIR)$(MANDIR)/man5/
+
+uninstall-man::
+	rm $(DESTDIR)$(MANDIR)/man1/llgal.1
+	rm $(DESTDIR)$(MANDIR)/man5/llgalrc.5

## llgal 0.13.14

=== Makefile ===
--- 
+++ 
@@ -41,17 +41,15 @@
 	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(SYSCONFDIR)/llgal/
 	install -m 0755 llgal $(DESTDIR)$(BINDIR)/llgal
 	install -m 0644 $(DATA_SUBDIR)/* $(DESTDIR)$(DATADIR)/llgal/
-	install -m 0644 llgalrc $(DESTDIR)$(SYSCONFDIR)/llgal/
 
 uninstall:: uninstall-lib uninstall-po
 	rm $(DESTDIR)$(BINDIR)/llgal
 	rm -rf $(DESTDIR)$(DATADIR)/llgal/
-	rm -rf $(DESTDIR)$(SYSCONFDIR)/llgal/
+	rmdir $(DESTDIR)$(SYSCONFDIR)/llgal/ || true
 
 tarball::
 	mkdir /tmp/$(TARBALL)/
 	cp llgal.in /tmp/$(TARBALL)
-	cp llgalrc /tmp/$(TARBALL)
 	cp llgal.1 llgalrc.5 /tmp/$(TARBALL)
 	cp Makefile /tmp/$(TARBALL)
 	cp Changes /tmp/$(TARBALL)
@@ -82,7 +80,7 @@
 	$(MAKE) -C $(LIB_SUBDIR)
 
 install-lib: prepare-lib
-	$(MAKE) -C $(LIB_SUBDIR) install
+	$(MAKE) -C $(LIB_SUBDIR) install PREFIX= SITEPREFIX=$(PREFIX) PERLPREFIX=$(PREFIX) VENDORPREFIX=$(PREFIX)
 
 clean-lib: prepare-lib
 	$(MAKE) -C $(LIB_SUBDIR) distclean

## llgal 0.13.16

=== debian/changelog ===
llgal (0.13.16-3) unstable; urgency=low

  * Add descriptions to patches.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.0, no changes needed.
  * Register howto.html to doc-base.
  * Add 02_fix_typos.patch to make lintian happy.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 03 Jul 2010 18:19:45 +0200

llgal (0.13.16-2) unstable; urgency=low

  * Add 01_fix_-n_manpage.patch to fix the description of -n in the manpage,
    thanks Paul Menzel, closes: #579096.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 09 May 2010 12:09:29 +0200

llgal (0.13.16-1) unstable; urgency=low

  * New upstream release.
    + Fix support for filenames with initial dash character in convert
      command-lines, closes: #570553.
    + Fix PARENT and PREV/NEXT links between galleries, honor user changes
      in the captions file instead of overriding with the default values,
      closes: #478699.
  * Add Vcs-Svn and Vcs-Browser fields.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Bump debhelper compatibility level to 5, adjust Build-Depends,
    add ${misc:Depends} to Depends.
  * Wrap and reorder Build-Depends, Depends and Recommends.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 28 Feb 2010 08:56:42 +0100

llgal (0.13.15-1) unstable; urgency=low

  * New upstream release.
  * Do not insert the default index title in the captions file if it is
    already defined (closes: #452945).
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Move the homepage URL from the description to the new Homepage field.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 15 Dec 2007 19:15:26 +0100

llgal (0.13.14-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 18 Nov 2007 16:22:31 +0100

llgal (0.13.13-1) unstable; urgency=low

  * New upstream release.
  * Do not call identify on every image, check their validity by looking
    at their dimensions instead (closes: #431939).
  * Refresh debianize_dependencies_in_warnings.patch.
  * Use dpkg-query instead of parsing /var/lib/dpkg/status in preinst
    (lintian error maintainer-script-uses-dpkg-status-directly).

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun, 08 Jul 2007 16:47:16 +0200

llgal (0.13.12-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Tue, 17 Apr 2007 00:01:50 +0200

llgal (0.13.11-1) unstable; urgency=low

  * New upstream release.
  * Update preinst and postinst to drop /etc/llgal/llgalrc (or the old
    /etc/llgalrc) unless it has been modified (since it is not installed
    in /etc by upstream anymore).
  * Install the llgalrc template as documentation.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sat, 24 Mar 2007 01:57:35 +0100

llgal (0.13.10-1) unstable; urgency=low

  * New upstream release.
  * Call external commands as a list of arguments instead of as a
    shell command-line so that special character are well supported
    in path and filenames, closes: #408873.
  * Update Standards-Version to 3.7.2.2, no change required.
  * Fix missing word in the description, thanks to Christoph Berg.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Mon, 29 Jan 2007 21:28:06 +0100

llgal (0.13.9-1) unstable; urgency=low

  * New upstream release.
  * Add missing double-quotes in command lines to support spaces in
    filenames, closes: #398814.
  * Install llgal.1 and the new llgalrc.5 with dh_installman instead
    of relying on the upstream Makefile.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun, 19 Nov 2006 22:21:50 +0100

llgal (0.13.8-1) unstable; urgency=low

  * New upstream release.
  * Add homepage to the description.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu,  9 Nov 2006 11:07:40 +0100

llgal (0.13.7-2) unstable; urgency=low

  * Install doc/examples/.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sat, 21 Oct 2006 17:42:21 +0200

llgal (0.13.7-1) unstable; urgency=low

  * New upstream release.
  * Include /usr/share/quilt/quilt.make in debian/rules to manage
    patches and add quilt (>= 0.40) to Build-Depends.
  * Add debianize_dependencies_in_warnings.patch to talk about
    libimage-exiftool-perl when recommending Image::ExifTool.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu, 19 Oct 2006 21:50:00 +0200

llgal (0.13.6-1) unstable; urgency=low

  * New upstream release.
  * Replace link_between_last_and_first_slide with link_between_last_and_first
    and make it work with subgallery linking too, closes: #377780.
  * Move libimage-exiftool-perl from Depends to Recommends since llgal
    now dynamically loads it only when required (not in the common case),
    and fails gracefully if not installed.
  * Add README.Debian to explain why libimage-exiftool-perl is only
    recommended.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun,  3 Sep 2006 11:34:40 -0400

llgal (0.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Tue,  4 Jul 2006 23:45:48 -0400

llgal (0.13.4-1) unstable; urgency=low

  * New upstream release.
  * Install HTML files from the new upstream doc/ subdirectory.
  * Update Standards-Version to 3.7.2.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu, 11 May 2006 11:41:12 +0200

llgal (0.13.3-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.7.0.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun, 30 Apr 2006 23:33:59 +0200

llgal (0.13.2-1) unstable; urgency=low

  * New upstream release.
  * Add an empty binary-arch target in debian/rules.
  * Replace Build-Depends-Indep with Build-Depends in debian/control.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu, 27 Apr 2006 00:35:28 +0200

llgal (0.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Tue, 18 Apr 2006 17:06:52 -0700

llgal (0.13-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules to pass PERL_INSTALLDIRS=vendor.



=== debian/control ===
Source: llgal
Section: web
Priority: optional
Maintainer: Brice Goglin <bgoglin@debian.org>
Build-Depends:
 debhelper (>= 5)
Homepage: http://home.gna.org/llgal/
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.gna.org/svn/llgal/branches/debian
Vcs-Browser: http://svn.gna.org/viewcvs/llgal/branches/debian/

Package: llgal
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libimage-size-perl,
 liblocale-gettext-perl,
 liburi-perl,
 imagemagick
Recommends:
 libimage-exiftool-perl
Description: Command-line online gallery generator
 llgal is a online gallery generator for images, videos, ...
 It is based on igal and adds multiple features including:
  - various types of slides (movies, text, links, downloads and subdirs);
  - addition of headers, footers, links and separators in generated HTML files;
  - automatic generation of captions from JFIF, GIF or EXIF tags;
  - highly configurable layout.
 The llgal interface is command line only. Its purpose is to generates
 nice web-pages quickly, using very simple but standard XHTML/CSS code,
 without requiring anything like php or javascript.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
#export DH_COMPAT=3

build:
	dh_testdir
	make PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	make clean PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	make install DESTDIR=$(CURDIR)/debian/llgal PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes
	dh_installdocs doc/howto.html doc/upgrade.html doc/examples/ doc/llgalrc
	dh_installman llgal.1 llgalrc.5
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## llgal 0.13.17

=== po/Makefile ===
.PHONY: all update clean install uninstall

# To change the locales that are generated, you have to pass
# something like LOCALES="fr de" on the command line

# locales that are supported
SUPPORTED_PO_FILES	=	$(wildcard *.po)
SUPPORTED_LOCALES	=	$(patsubst %.po,%,$(SUPPORTED_PO_FILES))

# by default, build all supported locales
LOCALES	=	$(SUPPORTED_LOCALES)

# locales that actually have to be built/installed
# (needed to drop the unsupported/duplicated ones that the user requests)
BUILT_LOCALES	=	$(sort $(filter $(SUPPORTED_LOCALES),$(LOCALES)))
BUILT_MO_FILES	=	$(patsubst %,%.mo,$(BUILT_LOCALES))

all: update

update:: $(BUILT_MO_FILES)

$(BUILT_MO_FILES): %.mo: %.po
	msgfmt $< -o $@

clean::
	$(RM) $(BUILT_MO_FILES)

install::
	for lang in $(BUILT_LOCALES) ; do \
		install -d -m 0755 $(LOCALEDIR)/$${lang}/LC_MESSAGES/ ; \
		install -m 0644 $${lang}.mo $(LOCALEDIR)/$${lang}/LC_MESSAGES/llgal.mo ; \
	done

uninstall::
	for lang in $(BUILT_LOCALES) ; do \
		rm $(LOCALEDIR)/$${lang}/LC_MESSAGES/llgal.mo ; \
		rmdir $(LOCALEDIR)/$${lang}/LC_MESSAGES/ ; \
		rmdir $(LOCALEDIR)/$${lang}/ ; \
	done
	rmdir $(LOCALEDIR)/

=== debian/changelog ===
llgal (0.13.17-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3, no changes needed.
  * Fix copyright-refers-to-symlink-license.
  * Add 01-fix_subgallery_-n.patch to fix the slidename of sugalleries
    when -n is used, closes: #652929.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 14 Apr 2012 09:35:49 +0200

llgal (0.13.17-1) unstable; urgency=low

  * New upstream release.
    + Fix compatibility with graphicsmagick-imagemagick-compat,
      closes: #604106.
  * Drop 01_fix_-n_manpage.patch and 02_fix_typos.patch, applied upstream.
  * Add dummy build-indep and build-arch rules to fix Lintian warnings.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 02 Aug 2011 12:39:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 5)
 Homepage: http://home.gna.org/llgal/
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.gna.org/svn/llgal/branches/debian
 Vcs-Browser: http://svn.gna.org/viewcvs/llgal/branches/debian/

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 #export DH_VERBOSE=1
 #export DH_COMPAT=3
+
+build-arch: build
+
+build-indep: build
 
 build:
 	dh_testdir

=== debian/watch ===
version=3

http://download.gna.org/llgal/llgal-([\d\w\.]+).tar.bz2 debian uupdate

## llgal 0.13.18

=== debian/changelog ===
llgal (0.13.18-1) unstable; urgency=low

  * New upstream release.
    + Check whether there is a user-given thumbnail before listing
      as links when -L is given, closes: #683809.
  * Drop 01-fix_subgallery_-n.patch, applied upstream.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Bump debhelper compatibility level to 9, no change needed.
  * Use dh_prep instead of dh_clean -k.

 -- Brice Goglin <bgoglin@debian.org>  Mon, 01 Aug 2016 22:41:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Brice Goglin <bgoglin@debian.org>
 Build-Depends:
- debhelper (>= 5)
+ debhelper (>= 9)
 Homepage: http://home.gna.org/llgal/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Vcs-Svn: svn://svn.gna.org/svn/llgal/branches/debian
 Vcs-Browser: http://svn.gna.org/viewcvs/llgal/branches/debian/

## llgal 0.13.19

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 NAME	=	llgal
-ifeq ($(shell [ -d .svn ] && echo 1),1)
-	VERSION	=	$(shell cat VERSION)+svn.$(shell date +%Y%m%d)
+ifeq ($(shell [ -d .git ] && echo 1),1)
+	VERSION =       $(shell cat VERSION)+git$(shell date +%Y%m%d).$(shell git show -s --pretty=format:%h)
 else
 	VERSION	=	$(shell cat VERSION)
 endif

=== doc/Makefile ===
.PHONY: install uninstall

install:
	install -d -m 0755 $(DOCDIR)
	find . -type d -exec install -d -m 0755 $(DOCDIR)/{} \;
	find . -type f -not -name Makefile -exec install -m 0644 {} $(DOCDIR)/{} \;

uninstall:
	find . -type f -not -name Makefile -exec rm -f $(DOCDIR)/{} \;
	find . -depth -type d -exec rmdir $(DOCDIR)/{} \;
	rmdir $(DOCDIR) || true

=== debian/changelog ===
llgal (0.13.19-2) unstable; urgency=low

  [ Brice Goglin ]
  * Enable release signature on github.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Maintain in Debian Phototools team (Brice, Thank you for all your upstream
    and Debian work)
    Closes: #1110016
  * Current upstream Closes: #828679
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/rules: Short dh
  * d/{postinst,preinst}: Remove since unneeded for at least version in
    o-o-stable
  * d/copyright: DEP5
  * d/watch: version=5
  * Strip unneeded signatures from upstream key
  * Lintian-overrides for package-contains-documentation-outside-usr-share-doc
  * Remove patch applied upstream

 -- Andreas Tille <tille@debian.org>  Thu, 18 Dec 2025 16:17:05 +0100

llgal (0.13.19-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:31:41 +0100

llgal (0.13.19-1) unstable; urgency=low

  * Update to new webpage and repository URLs.
  * Really bump debhelper compatibility level to 9.
  * Bump Standards-Version to 4.0.1, no changes needed.

 -- Brice Goglin <bgoglin@debian.org>  Thu, 10 Aug 2017 20:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: llgal
 Section: web
 Priority: optional
-Maintainer: Brice Goglin <bgoglin@debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends:
- debhelper (>= 9)
-Homepage: http://home.gna.org/llgal/
-Standards-Version: 3.9.8
-Vcs-Svn: svn://svn.gna.org/svn/llgal/branches/debian
-Vcs-Browser: http://svn.gna.org/viewcvs/llgal/branches/debian/
+ debhelper-compat (= 13)
+Homepage: http://bgoglin.free.fr/llgal/
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/llgal
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/llgal.git
 
 Package: llgal
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/llgal PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor

=== debian/watch ===
Version: 5

Template: Github
Owner: bgoglin
Project: @PACKAGE@
# Pgp-Mode: auto # Does not work
# Pgp-Mode: default
Pgp-Mode: mangle
Pgp-Sig-Url-Mangle: s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/
